<style>
:global(:root){
	--color0: #000;
	--color1: #FFF;
	--color2: #222;
	--color3: #F2F3D9;
}
:global(*::-webkit-scrollbar){
	width: 0.5em;
	border: 1px solid var(--color2);
}
:global(*::-webkit-scrollbar-track){
	border-radius: 1em;
	background-color: var(--color2);
}
:global(*::-webkit-scrollbar-thumb){
	border-radius: 1em;
	background-color: var(--color3);
	border: 1px solid var(--color2);
}
:global(html, body){
	margin: 0;
	padding: 0;
	width: 100vw;
	height: 100vh;
}
:global(html){
	background-color: var(--color0);
	color: var(--color3);
	font-family: consolas, monospace;
	font-size: 1em;
	height: 100%;
}
:global(a){
	text-decoration: underline;
	color: var(--color1);
}
:global(a:hover){text-decoration: underline overline;}
:global(h1){font-size: 2em;}
:global(h2){font-size: 1.7em;}
:global(h3){font-size: 1.5em;}
:global(h4){font-size: 1.2em;}
:global(small){font-size: 0.8em;}
:global(input, textarea){
	box-sizing: border-box; /*fixes inputs being bigger than their parents*/
	padding: 0.2em 0.5em;
	border: 1px solid var(--color0);
	font-family: consolas, monospace;
	font-size: 1em;
}
:global(input:focus, textarea:focus){
	outline: none;
	border: 1px solid var(--color3)
}
:global(button, .button){
	display: inline-block;
	padding: 0.5em 1.4em;
	border: 1px solid var(--color0);
	background-color: var(--color1);
	text-transform: uppercase;
	text-decoration: none;
	color: var(--color0);
	font-family: consolas, monospace;
	font-size: 1em;
}
:global(button:hover, .button:hover){text-decoration: none;}
:global(button:disabled, .button:disabled){
	background-color: var(--color2);
	text-decoration: line-through;
}
:global(body){
	display: flex;
	flex-flow: column;
	justify-content: space-evenly;
	align-items: stretch;
	align-content: stretch;
}
main{
	flex: 1 1 auto;
	display: flex;
	overflow: hidden;

	width: 100%;
	max-width: 100vh;
	margin: 0 auto;
}
footer{
	display: flex;
	justify-content: space-between;
	padding: 0.4em;
	background-color: var(--color2);
	font-size: 0.7em;
}
</style>
<script>
	import Ping from './util/ping'
	import Chat from './chat.svelte'
	let status = ''
</script>
<main>
	<Chat bind:status/>
</main>
<footer>
	<Ping/>
	<span>{status}</span>
</footer>
